Bug 34511 - arc4random_uniform not listed in headers
Summary: arc4random_uniform not listed in headers
Status: RESOLVED FIXED
Alias: None
Product: libbsd
Classification: Unclassified
Component: libbsd (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: Guillem Jover
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-20 17:22 UTC by Florian Zeitz
Modified: 2011-06-03 11:44 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Patch to add missing arc4random* prototypes (441 bytes, patch)
2011-02-22 07:57 UTC, Kevin McCarthy
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Zeitz 2011-02-20 17:22:33 UTC
bsd/stdlib.h should include
u_int32_t arc4random_uniform(u_int32_t upper);
which is currently provided by libbsd, but as far as I can tell not listed in any of the headers.
Comment 1 Kevin McCarthy 2011-02-22 07:57:26 UTC
Created attachment 43667 [details] [review]
Patch to add missing arc4random* prototypes

Actually, it is missing arc4random_buf, too. Attached is the patch I created for the Gentoo ebuild that fixes the problem.
Comment 2 Guillem Jover 2011-02-22 11:47:44 UTC
(In reply to comment #1)
> Created an attachment (id=43667) [details]
> Patch to add missing arc4random* prototypes
> 
> Actually, it is missing arc4random_buf, too. Attached is the patch I created
> for the Gentoo ebuild that fixes the problem.

Thanks! Committed, will be included in my next push and next release 0.3.0.
Comment 3 Guillem Jover 2011-06-03 11:44:39 UTC
This is released now with version 0.3.0. Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.